> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatclean.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversations Filter

> Filter conversations with custom filter options and pagination



## OpenAPI

````yaml /openapi.json post /api/v1/accounts/{account_id}/conversations/filter
openapi: 3.1.0
info:
  title: ChatClean API
  description: API REST do ChatClean.
  version: 1.1.0
  contact:
    email: contato@chatclean.com.br
servers:
  - url: https://chat.chatclean.com.br
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Campaigns
    description: >-
      Create, schedule, and manage campaigns. Requires an account administrator
      and API access enabled for the account.
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Contacts API
    description: Public contact APIs
  - name: Conversations API
    description: Public conversation APIs
  - name: Messages API
    description: Public message APIs
paths:
  /api/v1/accounts/{account_id}/conversations/filter:
    parameters:
      - $ref: '#/components/parameters/account_id'
    post:
      tags:
        - Conversations
      summary: Conversations Filter
      description: Filter conversations with custom filter options and pagination
      operationId: conversationFilter
      parameters:
        - name: page
          in: query
          schema:
            type: number
        - name: sort_by
          in: query
          description: >-
            Sort filtered conversations using the same options as the
            conversation list.
          schema:
            type: string
            default: last_activity_at_desc
            enum:
              - last_activity_at_asc
              - last_activity_at_desc
              - created_at_asc
              - created_at_desc
              - priority_asc
              - priority_desc
              - waiting_since_asc
              - waiting_since_desc
              - priority_desc_created_at_asc
              - unread
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                payload:
                  type: array
                  items:
                    type: object
                    properties:
                      attribute_key:
                        type: string
                        description: filter attribute name
                      filter_operator:
                        type: string
                        description: filter operator name
                        enum:
                          - equal_to
                          - not_equal_to
                          - contains
                          - does_not_contain
                      values:
                        type: array
                        items:
                          type: string
                        description: array of the attribute values to filter
                      timezone:
                        type: string
                        description: >-
                          IANA timezone for created_at and last_activity_at date
                          comparisons, including days_before. Omit to retain UTC
                          behavior. Date-only custom attributes are not
                          converted.
                        example: America/Sao_Paulo
                      query_operator:
                        type: string
                        description: query operator name
                        enum:
                          - AND
                          - OR
                  example:
                    - attribute_key: browser_language
                      filter_operator: not_equal_to
                      values:
                        - en
                      query_operator: AND
                    - attribute_key: status
                      filter_operator: equal_to
                      values:
                        - pending
                      query_operator: null
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/conversation_list'
        '400':
          description: Bad Request Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userBearerAuth: []
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    conversation_list:
      type: object
      properties:
        data:
          type: object
          properties:
            meta:
              type: object
              properties:
                mine_count:
                  type: number
                unassigned_count:
                  type: number
                assigned_count:
                  type: number
                all_count:
                  type: number
            payload:
              type: array
              description: array of conversations
              items:
                allOf:
                  - $ref: '#/components/schemas/generic_id'
                  - $ref: '#/components/schemas/conversation'
                  - type: object
                    properties:
                      meta:
                        type: object
                        properties:
                          sender:
                            type: object
                            properties:
                              additional_attributes:
                                type: object
                                description: The additional attributes of the sender
                              availability_status:
                                type: string
                                description: The availability status of the sender
                              email:
                                type:
                                  - string
                                  - 'null'
                                description: The email of the sender
                              id:
                                type: number
                                description: ID fo the sender
                              name:
                                type: string
                                description: The name of the sender
                              phone_number:
                                type:
                                  - string
                                  - 'null'
                                description: The phone number of the sender
                              blocked:
                                type: boolean
                                description: Whether the sender is blocked
                              identifier:
                                type:
                                  - string
                                  - 'null'
                                description: The identifier of the sender
                              thumbnail:
                                type:
                                  - string
                                  - 'null'
                                description: Avatar URL of the contact
                              custom_attributes:
                                type: object
                                description: The custom attributes of the sender
                              last_activity_at:
                                type: number
                                description: The last activity at of the sender
                              created_at:
                                type: number
                                description: The created at of the sender
                          channel:
                            type: string
                            description: Channel Type
                          assignee:
                            $ref: '#/components/schemas/user'
                          hmac_verified:
                            type: boolean
                            description: Whether the hmac is verified
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    generic_id:
      type: object
      properties:
        id:
          type: number
    conversation:
      type: object
      properties:
        id:
          type: number
          description: ID of the conversation
        messages:
          type: array
          items:
            $ref: '#/components/schemas/message'
        account_id:
          type: number
          description: Account Id
        uuid:
          type: string
          description: UUID of the conversation
        additional_attributes:
          type: object
          description: >-
            The object containing additional attributes related to the
            conversation
        agent_last_seen_at:
          type: number
          description: The last activity at of the agent
        assignee_last_seen_at:
          type: number
          description: The last activity at of the assignee
        can_reply:
          type: boolean
          description: Whether the conversation can be replied to
        contact_last_seen_at:
          type: number
          description: The last activity at of the contact
        custom_attributes:
          type: object
          description: >-
            The object to save custom attributes for conversation, accepts
            custom attributes key and value
        inbox_id:
          type: number
          description: ID of the inbox
        labels:
          type: array
          items:
            type: string
          description: The labels of the conversation
        muted:
          type: boolean
          description: Whether the conversation is muted
        snoozed_until:
          type:
            - number
            - 'null'
          description: The time at which the conversation will be unmuted
        status:
          type: string
          enum:
            - open
            - resolved
            - pending
          description: The status of the conversation
        created_at:
          type: number
          description: The time at which conversation was created
        updated_at:
          type: number
          description: The time at which conversation was updated
        timestamp:
          type: number
          description: The time at which conversation was created
        first_reply_created_at:
          type:
            - number
            - 'null'
          description: The time at which the first reply was created
        unread_count:
          type: number
          description: The number of unread messages
        last_non_activity_message:
          oneOf:
            - $ref: '#/components/schemas/message'
            - type: 'null'
          description: The last non activity message
        last_activity_at:
          type: number
          description: The last activity at of the conversation
        priority:
          type:
            - string
            - 'null'
          description: The priority of the conversation
        waiting_since:
          type:
            - number
            - 'null'
          description: The time at which the conversation was waiting
        sla_policy_id:
          type:
            - number
            - 'null'
          description: The ID of the SLA policy
        applied_sla:
          type: object
          description: The applied SLA
        sla_events:
          type: array
          items:
            type: object
            description: SLA event objects
    user:
      type: object
      properties:
        id:
          type: number
        access_token:
          type: string
        account_id:
          type: number
        available_name:
          type: string
        avatar_url:
          type: string
        confirmed:
          type: boolean
        display_name:
          type:
            - string
            - 'null'
        message_signature:
          type:
            - string
            - 'null'
        email:
          type: string
        hmac_identifier:
          type: string
        inviter_id:
          type:
            - number
            - 'null'
        name:
          type: string
        provider:
          type: string
        pubsub_token:
          type: string
        role:
          type: string
          enum:
            - agent
            - administrator
        ui_settings:
          type: object
        uid:
          type: string
        type:
          type:
            - string
            - 'null'
        custom_attributes:
          type: object
          description: >-
            Available for users who are created through platform APIs and has
            custom attributes associated.
        accounts:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              name:
                type: string
              status:
                type: string
              active_at:
                type:
                  - string
                  - 'null'
                format: date-time
              role:
                type: string
                enum:
                  - administrator
                  - agent
              permissions:
                type: array
                items:
                  type: string
              availability:
                type: string
              availability_status:
                type: string
              auto_offline:
                type: boolean
              custom_role_id:
                type:
                  - number
                  - 'null'
              custom_role:
                type:
                  - object
                  - 'null'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
    message:
      type: object
      properties:
        id:
          type: number
          description: The ID of the message
        content:
          type: string
          description: The text content of the message
        account_id:
          type: number
          description: The ID of the account
        inbox_id:
          type: number
          description: The ID of the inbox
        conversation_id:
          type: number
          description: The ID of the conversation
        message_type:
          type: integer
          enum:
            - 0
            - 1
            - 2
            - 3
          description: The type of the message
        created_at:
          type: integer
          description: The time at which message was created
        updated_at:
          type:
            - integer
            - string
          description: The time at which message was updated
        private:
          type: boolean
          description: The flags which shows whether the message is private or not
        status:
          type:
            - string
            - 'null'
          enum:
            - sent
            - delivered
            - read
            - failed
            - null
          description: The status of the message
        source_id:
          type:
            - string
            - 'null'
          description: The source ID of the message
        content_type:
          type:
            - string
            - 'null'
          enum:
            - text
            - input_text
            - input_textarea
            - input_email
            - input_select
            - cards
            - form
            - article
            - incoming_email
            - input_csat
            - integrations
            - sticker
            - voice_call
            - null
          description: The type of the template message
        content_attributes:
          type: object
          description: The content attributes for each content_type
        sender_type:
          type:
            - string
            - 'null'
          enum:
            - Contact
            - User
            - AgentBot
            - Captain::Assistant
            - null
          description: The type of the sender
        sender_id:
          type:
            - number
            - 'null'
          description: The ID of the sender
        external_source_ids:
          type: object
          description: The external source IDs of the message
        additional_attributes:
          type: object
          description: The additional attributes of the message
        processed_message_content:
          type:
            - string
            - 'null'
          description: The processed message content
        sentiment:
          type:
            - object
            - 'null'
          description: The sentiment of the message
        conversation:
          type:
            - object
            - 'null'
          description: The conversation object
        attachment:
          type:
            - object
            - 'null'
          description: The file object attached to the image
        sender:
          type: object
          description: User/Agent/AgentBot object
  securitySchemes:
    userBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `Authorization: Bearer <token>` using a user API token
        from **Profile Settings**.
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Find your API token in **Profile Settings**. The `api_access_token`
        header remains supported, but will be deprecated in a future release.
        For new integrations, use Bearer authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.